質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Python 2.7

Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

pip

pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。

解決済

tensorflowをpipでインストールできません

hane_momiji
hane_momiji

総合スコア0

Python 2.7

Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

pip

pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。

2回答

1評価

0クリップ

4閲覧

投稿2017/08/13 10:05

編集2022/01/12 10:58

###前提・実現したいこと
pipを使ってtensorflowをインストールしたいです。

###発生している問題・エラーメッセージ

Requirement already satisfied: setuptools in /System/Library/Frameworks/Python\.framework/Versions/2\.7/Extras/lib/python \(from protobuf>=3\.2\.0->tensorflow\) Installing collected packages: six, html5lib, bleach, werkzeug, markdown, backports\.weakref, wheel, numpy, funcsigs, pbr, mock, protobuf, tensorflow Found existing installation: six 1\.4\.1 DEPRECATION: Uninstalling a distutils installed project \(six\) has been deprecated and will be removed in a future version\. This is due to the fact that uninstalling a distutils project will only partially uninstall the project\. Uninstalling six-1\.4\.1: Exception: Traceback \(most recent call last\): File "/Library/Python/2\.7/site-packages/pip-9\.0\.1-py2\.7\.egg/pip/basecommand\.py", line 215, in main status = self\.run\(options, args\) File "/Library/Python/2\.7/site-packages/pip-9\.0\.1-py2\.7\.egg/pip/commands/install\.py", line 342, in run prefix=options\.prefix_path, File "/Library/Python/2\.7/site-packages/pip-9\.0\.1-py2\.7\.egg/pip/req/req_set\.py", line 778, in install requirement\.uninstall\(auto_confirm=True\) File "/Library/Python/2\.7/site-packages/pip-9\.0\.1-py2\.7\.egg/pip/req/req_install\.py", line 754, in uninstall paths_to_remove\.remove\(auto_confirm\) File "/Library/Python/2\.7/site-packages/pip-9\.0\.1-py2\.7\.egg/pip/req/req_uninstall\.py", line 115, in remove renames\(path, new_path\) File "/Library/Python/2\.7/site-packages/pip-9\.0\.1-py2\.7\.egg/pip/utils/__init__\.py", line 267, in renames shutil\.move\(old, new\) File "/System/Library/Frameworks/Python\.framework/Versions/2\.7/lib/python2\.7/shutil\.py", line 302, in move copy2\(src, real_dst\) File "/System/Library/Frameworks/Python\.framework/Versions/2\.7/lib/python2\.7/shutil\.py", line 131, in copy2 copystat\(src, dst\) File "/System/Library/Frameworks/Python\.framework/Versions/2\.7/lib/python2\.7/shutil\.py", line 103, in copystat os\.chflags\(dst, st\.st_flags\) OSError: \[Errno 1\] Operation not permitted: '/var/folders/sv/6_spg0qj6kl9702fd0m1vwm00000gn/T/pip-p9mJ_1-uninstall/System/Library/Frameworks/Python\.framework/Versions/2\.7/Extras/lib/python/six-1\.4\.1-py2\.7\.egg-info'

###該当のソースコード

\$ pip install tensorflow

###試したこと
sudoなどを試しても同じエラーが出てしまいました。

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Python 2.7

Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

pip

pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。